Base URL
https://api.venuerun.com/merchants/:merchantId/products
Products
Products define what you sell on VenueRun.
This doc was generated by our interal API tester at:
November 11, 2024 at 2:00:27 AM
Endpoints
GET /merchants/:merchantId/products
GET /merchants/:merchantId/products/:productId
POST /merchants/:merchantId/products
POST /merchants/:merchantId/products/:productId
DELETE /merchants/:merchantId/products/:productId
The Product Object
Properties
- Name
id- Type
- string read-only
- Description
- The id of the product
- Name
title- Type
- string
- Description
- The title of the product
- Name
price- Type
- number
- Description
- Product price
- Name
description- Type
- string
- Description
- A description of the product
- Name
visible- Type
- boolean
- Description
- Is the product visible to customers
- Name
taxable- Type
- boolean
- Description
- Is the product taxable
- Name
useCustomTaxRate- Type
- boolean
- Description
- Use a custom tax rate
- Name
taxRate- Type
- number
- Description
- The tax rate for the product
- Name
calories- Type
- number
- Description
- The calories for the product
- Name
manageStock- Type
- boolean
- Description
- Manage stock for the product
- Name
stockQuantity- Type
- number
- Description
- The quantity of the product
- Name
type- Type
- string
- Description
- The type of product SIMPLE is currently the only value supported
- Name
upc- Type
- string
- Description
- The UPC of the product
- Name
sku- Type
- string
- Description
- The SKU of the product
- Name
images- Type
- array
- Description
- Array of images for the product
- Name
url- Type
- string
- Description
- The url of the image
- Name
metadata- Type
- array
- Description
- Metadata for the product
- Name
key- Type
- string
- Description
- The key of the metadata
- Name
value- Type
- string
- Description
- The value of the metadata
- Name
createdAt- Type
- string read-only
- Description
- The date the product was created
- Name
updatedAt- Type
- string read-only
- Description
- The date the product was updated
The Product Object
{
"calories": 0,
"createdAt": 1731312024,
"description": "",
"id": "PB2pinMjDefgNFzdEiSK",
"images": [],
"manageStock": false,
"metadata": [
{
"key": "",
"value": ""
}
],
"modifiers": [],
"price": 8.99,
"sku": "",
"stockQuantity": 0,
"taxRate": 0,
"taxable": true,
"testMode": true,
"title": "Product Title Updated",
"type": "SIMPLE",
"upc": "",
"updatedAt": 1731312024,
"useCustomTaxRate": false,
"visible": false
}
POST/merchants/:merchantId/products
Create a Product
This endpoint allows you to create a Product
Required attributes
- Name
title- Type
- string
- Description
- The title of the product
- Name
price- Type
- number
- Description
- Product price
Optional attributes
- Name
id- Type
- string read-only
- Description
- The id of the product
- Name
description- Type
- string
- Description
- A description of the product
- Name
visible- Type
- boolean
- Description
- Is the product visible to customers
- Name
taxable- Type
- boolean
- Description
- Is the product taxable
- Name
useCustomTaxRate- Type
- boolean
- Description
- Use a custom tax rate
- Name
taxRate- Type
- number
- Description
- The tax rate for the product
- Name
calories- Type
- number
- Description
- The calories for the product
- Name
manageStock- Type
- boolean
- Description
- Manage stock for the product
- Name
stockQuantity- Type
- number
- Description
- The quantity of the product
- Name
type- Type
- string
- Description
- The type of product SIMPLE is currently the only value supported
- Name
upc- Type
- string
- Description
- The UPC of the product
- Name
sku- Type
- string
- Description
- The SKU of the product
- Name
images- Type
- array
- Description
- Array of images for the product
- Name
url- Type
- string
- Description
- The url of the image
- Name
metadata- Type
- array
- Description
- Metadata for the product
- Name
key- Type
- string
- Description
- The key of the metadata
- Name
value- Type
- string
- Description
- The value of the metadata
- Name
createdAt- Type
- string read-only
- Description
- The date the product was created
- Name
updatedAt- Type
- string read-only
- Description
- The date the product was updated
Request
POST
/merchants/:merchantsId/productsconst product = await VenueRun.products.create({
title: "Product Title",
price: "8.99",
description: "",
image: false,
images: [],
visible: 0,
taxable: true,
useCustomTaxRate: false,
taxRate: 0,
calories: 0,
modifiers: [],
metadata: [{
key: "",
value: ""
}],
manageStock: false,
stockQuantity: 0,
type: "SIMPLE",
upc: "",
sku: ""
});
POST/merchants/:merchantId/products/:productId
Update a product
This endpoint allows you to update a Product
Required parameters
- Name
id- Type
- string
- Description
id of the products
Optional attributes
- Name
id- Type
- string read-only
- Description
- The id of the product
- Name
description- Type
- string
- Description
- A description of the product
- Name
visible- Type
- boolean
- Description
- Is the product visible to customers
- Name
taxable- Type
- boolean
- Description
- Is the product taxable
- Name
useCustomTaxRate- Type
- boolean
- Description
- Use a custom tax rate
- Name
taxRate- Type
- number
- Description
- The tax rate for the product
- Name
calories- Type
- number
- Description
- The calories for the product
- Name
manageStock- Type
- boolean
- Description
- Manage stock for the product
- Name
stockQuantity- Type
- number
- Description
- The quantity of the product
- Name
type- Type
- string
- Description
- The type of product SIMPLE is currently the only value supported
- Name
upc- Type
- string
- Description
- The UPC of the product
- Name
sku- Type
- string
- Description
- The SKU of the product
- Name
images- Type
- array
- Description
- Array of images for the product
- Name
url- Type
- string
- Description
- The url of the image
- Name
metadata- Type
- array
- Description
- Metadata for the product
- Name
key- Type
- string
- Description
- The key of the metadata
- Name
value- Type
- string
- Description
- The value of the metadata
- Name
createdAt- Type
- string read-only
- Description
- The date the product was created
- Name
updatedAt- Type
- string read-only
- Description
- The date the product was updated
Request
POST
/merchants/:merchantsId/products/productIdawait VenueRun.products.update(productId, {
title: "Product Title Updated"
});
Response
{
"calories": 0,
"createdAt": 1731312024,
"description": "",
"id": "PB2pinMjDefgNFzdEiSK",
"images": [],
"manageStock": false,
"metadata": [
{
"key": "",
"value": ""
}
],
"modifiers": [],
"price": 8.99,
"sku": "",
"stockQuantity": 0,
"taxRate": 0,
"taxable": true,
"testMode": true,
"title": "Product Title Updated",
"type": "SIMPLE",
"upc": "",
"updatedAt": 1731312024,
"useCustomTaxRate": false,
"visible": false
}
GET/merchants/:merchantId/products/:productId
Retrive a Product
This endpoint allows you to retrieve a Product
Required parameters
- Name
id- Type
- string
- Description
id of the Product
Request
GET
/merchants/:merchantsId/products/:productIdconst product = await VenueRun.products.retrieve(product.id);
Response
{
"calories": 0,
"createdAt": 1731312024,
"description": "",
"id": "PB2pinMjDefgNFzdEiSK",
"images": [],
"manageStock": false,
"metadata": [
{
"key": "",
"value": ""
}
],
"modifiers": [],
"price": 8.99,
"sku": "",
"stockQuantity": 0,
"taxRate": 0,
"taxable": true,
"testMode": true,
"title": "Product Title Updated",
"type": "SIMPLE",
"upc": "",
"updatedAt": 1731312024,
"useCustomTaxRate": false,
"visible": false
}
DELETE/merchants/:merchantId/products/:productId
Delete a product
This endpoint allows you to delete a Product
Required parameters
- Name
id- Type
- string
- Description
id of the product
Request
POST
/merchants/:merchantsId/products/:productIdawait VenueRun.products.delete(productId);
Response
{
"id": "PB2pinMjDefgNFzdEiSK",
"object": {
"calories": 0,
"createdAt": 1731312024,
"description": "",
"id": "PB2pinMjDefgNFzdEiSK",
"images": [],
"manageStock": false,
"metadata": [
{
"key": "",
"value": ""
}
],
"modifiers": [],
"price": 8.99,
"sku": "",
"stockQuantity": 0,
"taxRate": 0,
"taxable": true,
"testMode": true,
"title": "Product Title Updated",
"type": "SIMPLE",
"upc": "",
"updatedAt": 1731312024,
"useCustomTaxRate": false,
"visible": false
},
"message": "Product deleted",
"deleted": true
}
GET/merchants/:merchantId/products
Get all Products
This endpoint allows you to list all Products
Request
POST
/merchants/:merchantsId/productsawait VenueRun.products.list()

